Release History

Release | New Features | Issues Resolved

2.7
27/09/2011

Application

- Jalview Desktop News Reader
- Tweaked default layout of web services menu
- View/alignment association menu to enable user to easily specify which alignment a multi-structure view takes its colours/correspondences from
- Allow properties file location to be specified as URL
- Extend jalview project to preserve associations between many alignment views and a single Jmol display
- Store annotation row height in jalview project file
- Annotation row column label formatting attributes stored in project file
- Annotation row order for auto-calculated annotation rows preserved in jalview project file
- Visual progress indication when Jalview state is saved using Desktop window menu
- Visual indication that command line arguments are still being processed
- Groovy script execution from URL
- Colour by annotation default min and max colours in preferences
- Automatically associate PDB files dragged onto an alignment with sequences that have high similarity and matching IDs
- Update JGoogleAnalytics to latest release (0.3)
- 'view structures' option to open many structures in same window
- Sort associated views menu option for tree panel
- Group all JABA and non-JABA services for a particular analysis function in its own submenu

Applet

- Userdefined and autogenerated annotation rows for groups
- Adjustment of alignment annotation pane height
- Annotation scrollbar for annotation panel
- Drag to reorder annotation rows in annotation panel
- 'automaticScrolling' parameter
- Allow sequences with partial ID string matches to be annotated from GFF/jalview features files
- Sequence logo annotation row in applet
- Absolute paths relative to host server in applet parameters are treated as such
- New in the JalviewLite javascript API:
  - JalviewLite.js javascript library
  - Javascript callbacks for
    - Applet initialisation
    - Sequence/alignment mouse-overs and selections
  - scrollTo row and column alignment scrolling functions
  - Select sequence/alignment regions from javascript
  - javascript structure viewer harness to pass messages between Jmol and Jalview when running as distinct applets
  - sortBy method
  - Set of applet and application examples shipped with documentation
  - New example to demonstrate jalviewLite and Jmol javascript message exchange

General

- Enable Jmol displays to be associated with multiple multiple alignments
- Option to automatically sort alignment with new tree
- User configurable link to enable redirects to a www.jalview.org mirror
- Jmol colours option for Jmol displays
- Configurable newline string when writing alignment and other flat files
- Allow alignment annotation description lines to contain html tags

Documentation and Development

- Add groovy test harness for bulk load testing to examples
- Groovy script to load and align a set of sequences using a web service before displaying the result in the Jalview desktop
- Restructured javascript and applet api documentation
- Ant target to publish example html files with applet archive
- Netbeans project for building jalview from source
- ant task to create online javadoc for jalview source

Application

- User defined colourscheme throws exception when current built in colourscheme is saved as new scheme
- AlignFrame->Save in application pops up save dialog for valid filename/format
- Cannot view associated structure for Uniprot sequence
- PDB file association breaks for Uniprot sequence P37173
- Associate PDB from file dialog does not tell you which sequence is to be associated with the file
- Find All raises null pointer exception when query only matches sequence IDs
- Pre 2.6 Jalview project cannot be loaded into v2.6
- Jalview project with Jmol views created with Jalview 2.4 cannot be loaded
- Filetype associations not installed for webstart launch
- Two or more chains in a single PDB file associated with sequences in different alignments do not get coloured by their associated sequence
- Visibility status of autocalculated annotation row not preserved when project is loaded
- Annotation row height and visibility attributes not stored in jalview project
- Tree bootstraps are not preserved when saved as a jalview project
- Envision2 workflow tooltips are corrupted
- Enabling show group conservation also enables colour by conservation
- Duplicate group associated conservation or consensus created on new view
- Annotation scrollbar not displayed after 'show all hidden annotation rows' option selected
- Alignment quality not updated after alignment annotation row is hidden then shown
- Preserve colouring of structures coloured by sequences in pre jalview 2.7 projects
- Web service job parameter dialog is not laid out properly
- Web services menu not refreshed after 'reset services' button is pressed in preferences
- Annotation off by one in jalview v2_3 example project
- Structures imported from file and saved in project get name like jalview_pdb1234.txt when reloaded
- Jalview does not always retrieve progress of a JABAWS job execution in full once it is complete

Applet

- Alignment height set incorrectly when lots of annotation rows are displayed
- Relative URLs in feature HTML text not resolved to codebase
- View follows highlighting does not work for positions in sequences
- <= shown as = in tooltip
- Export features raises exception when no features exist
- Separator string used for serialising lists of IDs for javascript api is modified when separator string provided as parameter
- Null pointer exception when selecting tree leaves for alignment with no existing selection
- Relative URLs for datasources assumed to be relative to applet's codebase
- Status bar not updated after finished searching and search wraps around to first result
- StructureSelectionManager instance shared between several jalview applets causes race conditions and memory leaks
- Hover tooltip and mouseover of position on structure not sent from Jmol in applet
- Certain sequences of javascript method calls to applet API fatally hang browser

General

- View follows structure mouseover scrolls beyond position with wrapped view and hidden regions
- Find sequence position moves to wrong residue with/without hidden columns
- Sequence length given in alignment properties window is off by 1
- InvalidNumberFormat exceptions thrown when trying to import PDB like structure files
- Positional search results are only highlighted between user-supplied sequence start/end bounds
- End attribute of sequence is not validated
- Find dialog only finds first sequence containing a given sequence position
- Sequence numbering not preserved in MSF alignment output
- Jalview PDB file reader does not extract sequence from nucleotide chains correctly
- Structure colours not updated when tree partition changed in alignment
- Sequence associated secondary structure not correctly parsed in interleaved stockholm
- Colour by annotation dialog does not restore current state
- Hiding (nearly) all sequences doesn't work properly
- Sequences containing lowercase letters are not properly associated with their pdb files

Documentation and Development

- schemas/JalviewWsParamSet.xsd corrupted by ApplyCopyright tool

2.6.1
15/11/2010

Application

- New warning dialog when the Jalview Desktop cannot contact web services
- JABA service parameters for a preset are shown in service job window
- JABA Service menu entries reworded

- Modeller PIR IO broken - cannot correctly import a pir file emitted by jalview
- Existing feature settings transferred to new alignment view created from cut'n'paste
- Improved test for mixed amino/nucleotide chains when parsing PDB files
- Consensus and conservation annotation rows occasionally become blank for all new windows
- Exception raised when right clicking above sequences in wrapped view mode

Application

- multiple multiply aligned structure views cause cpu usage to hit 100% and computer to hang
- Web Service parameter layout breaks for long user parameter names
- Jaba service discovery hangs desktop if Jaba server is down

2.6
26/9/2010

Application

- Support for Java bioinformatics analysis web services (JABAWS)
- Web Services preference tab
- Analysis parameters dialog box and user defined preferences
- Improved speed and layout of Envision2 service menu
- Superpose structures using associated sequence alignment
- Export coordinates and projection as CSV from PCA viewer

Applet

- enable javascript: execution by the applet via the link out mechanism

Other

- Updated the Jmol Jalview interface to work with Jmol series 12
- The Jalview Desktop and JalviewLite applet now require Java 1.5
- Allow Jalview feature colour specification for GFF sequence annotation files
- New 'colour by label' keword in jalview feature file type colour specification
- New Jalview Desktop Groovy API method that allows a script to check if it being run in an interactive session or in a batch operation from the jalview command line

- clustalx colourscheme colours Ds preferentially when both D+E are present in over 50% of the column

Application

- typo in AlignmentFrame->View->Hide->all but selected Regions menu item
- sequence fetcher replaces ',' for ';' when the ',' is part of a valid accession ID
- fatal OOM if object retrieved by sequence fetcher runs out of memory
- unhandled Out of Memory Error when viewing pca analysis results
- InstallAnywhere builds fail to launch on OS X java 10.5 update 4 (due to apple Java 1.6 update)
- Installanywhere Jalview silently fails to launch

Applet

- Jalview.getFeatureGroups() raises an ArrayIndexOutOfBoundsException if no feature groups are defined.

2.5.1
14/6/2010

- Alignment prettyprinter doesn't cope with long sequence IDs
- clustalx colourscheme colours Ds preferentially when both D+E are present in over 50% of the column
- nucleic acid structures retrieved from PDB do not import correctly
- More columns get selected than were clicked on when a number of columns are hidden
- annotation label popup menu not providing correct add/hide/show options when rows are hidden or none are present
- Stockholm format shown in list of readable formats, and parser copes better with alignments from RFAM.
- CSV output of consensus only includes the percentage of all symbols if sequence logo display is enabled

Applet

- annotation panel disappears when annotation is hidden/removed

Application

- Alignment view not redrawn properly when new alignment opened where annotation panel is visible but no annotations are present on alignment
- pasted region containing hidden columns is incorrectly displayed in new alignment window
- Jalview slow to complete operations when stdout is flooded (fix is to close the Jalview console)
- typo in AlignmentFrame->View->Hide->all but selected Rregions menu item.
- inconsistent group submenu and Format submenu entry 'Un' or 'Non'conserved
- Sequence feature settings are being shared by multiple distinct alignments
- group annotation not recreated when tree partition is changed
- double click on group annotation to select sequences does not propagate to associated trees
- Mac OSX specific issues:
  - exception raised when mouse clicked on desktop window background
  - Desktop menu placed on menu bar and application name set correctly
  - sequence feature settings not wide enough for the save feature colourscheme button

2.5
30/4/2010

New Capabilities

- URL links generated from description line for regular-expression based URL links (applet and application)
- Non-positional feature URL links are shown in link menu
- Linked viewing of nucleic acid sequences and structures
- Automatic Scrolling option in View menu to display the currently highlighted region of an alignment.
- Order an alignment by sequence length, or using the average score or total feature count for each sequence.
- Shading features by score or associated description
- Subdivide alignment and groups based on identity of selected subsequence (Make Groups from Selection).
- New hide/show options including Shift+Control+H to hide everything but the currently selected region.

Application

- Fetch DB References capabilities and UI expanded to support retrieval from DAS sequence sources
- Local DAS Sequence sources can be added via the command line or via the Add local source dialog box.
- DAS Dbref and DbxRef feature types are parsed as database references and protein_name is parsed as description line (BioSapiens terms).
- Enable or disable non-positional feature and database references in sequence ID tooltip from View menu in application.
- Group-associated consensus, sequence logos and conservation plots
- Symbol distributions for each column can be exported and visualized as sequence logos
- Optionally scale multi-character column labels to fit within each column of annotation row
- Optional automatic sort of associated alignment view when a new tree is opened.
- Jalview Java Console
- Better placement of desktop window when moving between different screens.
- New preference items for sequence ID tooltip and consensus annotation
- Client to submit sequences and IDs to Envision2 Workflows
- Vamsas Capabilities
  - Improved VAMSAS synchronization (jalview archive used to preserve views, structures, and tree display settings)
  - Import of vamsas documents from disk or URL via command line
  - Sharing of selected regions between views and with other VAMSAS applications (Experimental feature!)
  - Updated API to VAMSAS version 0.2

Applet

- Middle button resizes annotation row height
- New Parameters
  - sortByTree (true/false) - automatically sort the associated alignment view by the tree when a new tree is opened.
  - showTreeBootstraps (true/false) - show or hide branch bootstraps (default is to show them if available)
  - showTreeDistances (true/false) - show or hide branch lengths (default is to show them if available)
  - showUnlinkedTreeNodes (true/false) - indicate if unassociated nodes should be highlighted in the tree view
  - heightScale and widthScale (1.0 or more) - increase the height or width of a cell in the alignment grid relative to the current font size.
- Non-positional features displayed in sequence ID tooltip

Other

- Features format: graduated colour definitions and specification of feature scores
- Alignment Annotations format: new keywords for group associated annotation (GROUP_REF) and annotation row display properties (ROW_PROPERTIES)
- XML formats extended to support graduated feature colourschemes, group associated annotation, and profile visualization settings.

- Source field in GFF files parsed as feature source rather than description
- Non-positional features are now included in sequence feature and gff files (controlled via non-positional feature visibility in tooltip).
- URL links generated for all feature links (bugfix)
- Added URL embedding instructions to features file documentation.
- Codons containing ambiguous nucleotides translated as 'X' in peptide product
- Match case switch in find dialog box works for both sequence ID and sequence string and query strings do not have to be in upper case to match case-insensitively.
- AMSA files only contain first column of multi-character column annotation labels
- Jalview Annotation File generation/parsing consistent with documentation (e.g. Stockholm annotation can be exported and re-imported)
- PDB files without embedded PDB IDs given a friendly name
- Find incrementally searches ID string matches as well as subsequence matches, and correctly reports total number of both.
- Application:
  - Better handling of exceptions during sequence retrieval
  - Dasobert generated non-positional feature URL link text excludes the start_end suffix
  - DAS feature and source retrieval buttons disabled when fetch or registry operations in progress.
  - PDB files retrieved from URLs are cached properly
  - Sequence description lines properly shared via VAMSAS
  - Sequence fetcher fetches multiple records for all data sources
  - Ensured that command line das feature retrieval completes before alignment figures are generated.
  - Reduced time taken when opening file browser for first time.
  - isAligned check prior to calculating tree, PCA or submitting an MSA to JNet now excludes hidden sequences.
  - User defined group colours properly recovered from Jalview projects.

2.4.0.b2
28/10/2009

- Experimental support for google analytics usage tracking.
- Jalview privacy settings (user preferences and docs).

- Race condition in applet preventing startup in jre1.6.0u12+.
- Exception when feature created from selection beyond length of sequence.
- Allow synthetic PDB files to be imported gracefully
- Sequence associated annotation rows associate with all sequences with a given id
- Find function matches case-insensitively for sequence ID string searches
- Non-standard characters do not cause pairwise alignment to fail with exception

Application Issues

- Sequences are now validated against EMBL database
- Sequence fetcher fetches multiple records for all data sources

InstallAnywhere Issues

- Dock icon works for Mac OS X java (Mac 1.6 update issue with installAnywhere mechanism)
- Command line launching of JARs from InstallAnywhere version (java class versioning error fixed)

2.4
27/8/2008

User Interface

- Linked highlighting of codon and amino acid from translation and protein products
- Linked highlighting of structure associated with residue mapping to codon position
- Sequence Fetcher provides example accession numbers and 'clear' button
- MemoryMonitor added as an option under Desktop's Tools menu
- Extract score function to parse whitespace separated numeric data in description line
- Column labels in alignment annotation can be centred.
- Tooltip for sequence associated annotation give name of sequence

Web Services and URL fetching

- JPred3 web service
- Prototype sequence search client (no public services available yet)
- Fetch either seed alignment or full alignment from PFAM
- URL Links created for matching database cross references as well as sequence ID
- URL Links can be created using regular-expressions

Sequence Database Connectivity

- Retrieval of cross-referenced sequences from other databases
- Generalised database reference retrieval and validation to all fetchable databases
- Fetch sequences from DAS sources supporting the sequence command

Import and Export
- export annotation rows as CSV for spreadsheet import
- Jalview projects record alignment dataset associations, EMBL products, and cDNA sequence mappings
- Sequence Group colour can be specified in Annotation File
- Ad-hoc colouring of group in Annotation File using RGB triplet as name of colourscheme
VAMSAS Client capabilities (Experimental)

- treenode binding for VAMSAS tree exchange
- local editing and update of sequences in VAMSAS alignments (experimental)
- Create new or select existing session to join
- load and save of vamsas documents

Application command line

- -tree parameter to open trees (introduced for passing from applet)
- -fetchfrom command line argument to specify nicknames of DAS servers to query for alignment features
- -dasserver command line argument to add new servers that are also automatically queried for features
- -groovy command line argument executes a given groovy script after all input data has been loaded and parsed

Applet-Application data exchange

- Trees passed as applet parameters can be passed to application (when using "View in full application")

Applet Parameters

- feature group display control parameter
- debug parameter
- showbutton parameter

Applet API methods

- newView public method
- Window (current view) specific get/set public methods
- Feature display control methods
- get list of currently selected sequences

New Jalview distribution features

- InstallAnywhere Installer upgraded to IA 2008 VP1
- RELEASE file gives build properties for the latest Jalview release.
- Java 1.1 Applet build made easier and donotobfuscate property controls execution of obfuscator
- Build target for generating source distribution
- Debug flag for javacc
- .jalview_properties file is documented (slightly) in jalview.bin.Cache
- Continuous Build Integration for stable and development version of Application, Applet and source distribution

- selected region output includes visible annotations (for certain formats)
- edit label/displaychar contains existing label/char for editing
- update PDBEntries when DBRefEntries change (vamsas)
- shorter peptide product names from EMBL records
- Newick string generator makes compact representations
- bootstrap values parsed correctly for tree files with comments
- pathological filechooser bug avoided by not allowing filenames containing a ':'
- Fixed exception when parsing GFF files containing global sequence features
- Alignment datasets are finalized only when number of references from alignment sequences goes to zero
- Close of tree branch colour box without colour selection causes cascading exceptions
- occasional negative imgwidth exceptions
- better reporting of non-fatal warnings to user when file parsing fails.
- Save works when Jalview project is default format
- Save as dialog opened if current alignment format is not a valid output format
- Uniprot canonical names introduced for both das and vamsas
- Histidine should be midblue (not pink!) in Zappo
- error messages passed up and output when data read fails
- edit undo recovers previous dataset sequence when sequence is edited
- allow PDB files without pdb ID HEADER lines (like those generated by MODELLER) to be read in properly
- allow reading of JPred concise files as a normal filetype
- Stockholm annotation parsing and alignment properties import fixed for PFAM records
- Structure view windows have correct name in Desktop window list
- annotation consisting of sequence associated scores can be read and written correctly to annotation file
- Aligned cDNA translation to aligned peptide works correctly
- Fixed display of hidden sequence markers and non-italic font for representatives in Applet
- Applet Menus are always embedded in applet window on Macs.
- Newly shown features appear at top of stack (in Applet)
- Annotations added via parameter not drawn properly due to null pointer exceptions
- Secondary structure lines are drawn starting from first column of alignment
- Uniprot XML import updated for new schema release in July 2008
- Sequence feature to sequence ID match for Features file is case-insensitive
- Sequence features read from Features file appended to all sequences with matching IDs
- PDB structure coloured correctly for associated views containing a sub-sequence
- PDB files can be retrieved by applet from Jar files
- feature and annotation file applet parameters referring to different directories are retrieved correctly
- Fixed application hang whilst waiting for splash-screen version check to complete
- Applet properly URLencodes input parameter values when passing them to the launchApp service
- display name and local features preserved in results retrieved from web service
- Visual delay indication for sequence retrieval and sequence fetcher initialisation
- updated Application to use DAS 1.53e version of dasobert DAS client
- Re-instated Full AMSA support and .amsa file association
- Fixed parsing of JNet Concise annotation sans sequences

2.3
9/5/07

- Jmol 11.0.2 integration
- PDB views stored in Jalview XML files
- Slide sequences
- Edit sequence in place
- EMBL CDS features
- DAS Feature mapping
- Feature ordering
- Alignment Properties
- Annotation Scores
- Sort by scores
- Feature/annotation editing in applet

- Headless state operation in 2.2.1
- Incorrect and unstable DNA pairwise alignment
- Cut and paste of sequences with annotation
- Feature group display state in XML
- Feature ordering in XML
- blc file iteration selection using filename # suffix
- Stockholm alignment properties
- Stockhom alignment secondary structure annotation
- 2.2.1 applet had no feature transparency
- Number pad keys can be used in cursor mode
- Structure Viewer mirror image resolved

2.2.1
12/2/07

- Non standard characters can be read and displayed
- Annotations/Features can be imported/exported to the applet via textbox
- Applet allows editing of sequence/annotation/group name & description
- Preference setting to display sequence name in italics
- Annotation file format extended to allow Sequence_groups to be defined
- Default opening of alignment overview panel can be specified in preferences
- PDB residue numbering annotation added to associated sequences

- Applet crash under certain Linux OS with Java 1.6 installed
- Annotation file export / import bugs fixed
- PNG / EPS image output bugs fixed

2.2
27/11/06

- Multiple views on alignment
- Sequence feature editing
- "Reload" alignment
- "Save" to current filename
- Background dependent text colour
- Right align sequence ids
- User-defined lower case residue colours
- Format Menu
- Select Menu
- Menu item accelerator keys
- Control-V pastes to current alignment
- Cancel button for DAS Feature Fetching
- PCA and PDB Viewers zoom via mouse roller
- User-defined sub-tree colours and sub-tree selection
- 'New Window' button on the 'Output to Text box'

- New memory efficient Undo/Redo System
- Optimised symbol lookups and conservation/consensus calculations
- Region Conservation/Consensus recalculated after edits
- Fixed Remove Empty Columns Bug (empty columns at end of alignment)
- Slowed DAS Feature Fetching for increased robustness.
- Made angle brackets in ASCII feature descriptions display correctly
- Re-instated Zoom function for PCA
- Sequence descriptions conserved in web service analysis results
- Uniprot ID discoverer uses any word separated by ∣
- WsDbFetch query/result association resolved
- Tree leaf to sequence mapping improved
- Smooth fonts switch moved to FontChooser dialog box.

2.1.1
12/9/06

- Copy consensus sequence to clipboard

- Image output - rightmost residues are rendered if sequence id panel has been resized
- Image output - all offscreen group boundaries are rendered
- Annotation files with sequence references - all elements in file are relative to sequence position
- Mac Applet users can use Alt key for group editing

2.1
22/8/06

- MAFFT Multiple Alignment in default Web Service list
- DAS Feature fetching
- Hide sequences and columns
- Export Annotations and Features
- GFF file reading / writing
- Associate structures with sequences from local PDB files
- Add sequences to exisiting alignment
- Recently opened files / URL lists
- Applet can launch the full application
- Applet has transparency for features (Java 1.2 required)
- Applet has user defined colours parameter
- Applet can load sequences from parameter "sequencex"

- Redundancy Panel reinstalled in the Applet
- Monospaced font - EPS / rescaling bug fixed
- Annotation files with sequence references bug fixed

2.08.1
2/5/06

- Change case of selected region from Popup menu
- Choose to match case when searching
- Middle mouse button and mouse movement can compress / expand the visible width and height of the alignment

- Annotation Panel displays complete JNet results

2.08b
18/4/06

- Java 1.5 bug - InternalMessageDialog fix for threads
- Righthand label on wrapped alignments shows correct value

2.08
10/4/06

- Editing can be locked to the selection area
- Keyboard editing
- Create sequence features from searches
- Precalculated annotations can be loaded onto alignments
- Features file allows grouping of features
- Annotation Colouring scheme added
- Smooth fonts off by default - Faster rendering
- Choose to toggle Autocalculate Consensus On/Off

- Drag & Drop fixed on Linux
- Jalview Archive file faster to load/save, sequence descriptions saved.

2.07
12/12/05

- PDB Structure Viewer enhanced
- Sequence Feature retrieval and display enhanced
- Choose to output sequence start-end after sequence name for file output
- Sequence Fetcher WSDBFetch@EBI
- Applet can read feature files, PDB files and can be used for HTML form input

- HTML output writes groups and features
- Group editing is Control and mouse click
- File IO bugs

2.06
28/9/05

- View annotations in wrapped mode
- More options for PCA viewer

- GUI bugs resolved
- Runs with -nodisplay from command line

2.05b
15/9/05

- Choose EPS export as lineart or text
- Jar files are executable
- Can read in Uracil - maps to unknown residue

- Known OutOfMemory errors give warning message
- Overview window calculated more efficiently
- Several GUI bugs resolved

2.05
30/8/05

- Edit and annotate in "Wrapped" view

- Several GUI bugs resolved

2.04
24/8/05

- Hold down mouse wheel & scroll to change font size

- Improved JPred client reliability
- Improved loading of Jalview files

2.03
18/8/05

- Set Proxy server name and port in preferences
- Multiple URL links from sequence ids
- User Defined Colours can have a scheme name and added to Colour Menu
- Choose to ignore gaps in consensus calculation
- Unix users can set default web browser
- Runs without GUI for batch processing
- Dynamically generated Web Service Menus

- InstallAnywhere download for Sparc Solaris

2.02
18/7/05

- Copy & Paste order of sequences maintains alignment order.

2.01
12/7/05

- Use delete key for deleting selection.
- Use Mouse wheel to scroll sequences.
- Help file updated to describe how to add alignment annotations.
- Version and build date written to build properties file.
- InstallAnywhere installation will check for updates at launch of Jalview.

- Delete gaps bug fixed.
- FileChooser sorts columns.
- Can remove groups one by one.
- Filechooser icons installed.
- Finder ignores return character when searching. Return key will initiate a search.

2.0
20/6/05

- New codebase